%global upstream_name execut-1.0

Name:           execut
Version:        1.0
Release:        1%{?dist}
Summary:        ExeCut is a graphical tool for executable files viewing.
Group:          Development/Tools
License:        LGPLv2
URL:            https://hephaistos.lpp.polytechnique.fr/redmine/projects/execut/wiki
Source0:        https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/374/execut-1.0.zip
# 
#Patch0:         patch1.patch
# 
#Patch1:         patch1.patch
BuildRequires:  qt5-qtbase-devel
BuildRequires:  elfutils-libelf-devel

%description
ExeCut is a graphical tool for executable files viewing.


%prep
%setup -q -n %{upstream_name}
#%patch0 -p1 -b .r10
#%patch1 -p1 -b .install

%build
%{_qt5_qmake} 

make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
/usr/bin/execut
/usr/share/ExeCut/icon.png
/usr/share/applications/ExeCut.desktop

%changelog
* Tue Jun 24 2014 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 1.0
- Initial Fedora packaging
